# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Private Attributes | List of all members
DBus::Error Class Reference

`#include <error.h>`

Inheritance diagram for DBus::Error:

## Public Member Functions

| Error ()
| Error (InternalError &)
| Error (const char *name, const char *message)
| Error (Message &)
| ~Error () throw ()
const char * | what () const throw ()
const char * | name () const
const char * | message () const
void | set (const char *name, const char *message)
bool | is_set () const
| operator bool () const

## Private Attributes

RefPtrI< InternalError > | _int

## Detailed Description

Definition at line 39 of file error.h.

## Constructor & Destructor Documentation

## ◆ Error() [1/4]

Error::Error | ( |  | ) |

Definition at line 41 of file error.cpp.

References _int.

Referenced by DBus::ErrorAccessDenied::ErrorAccessDenied(), DBus::ErrorAddressInUse::ErrorAddressInUse(), DBus::ErrorAuthFailed::ErrorAuthFailed(), DBus::ErrorBadAddress::ErrorBadAddress(), DBus::ErrorDisconnected::ErrorDisconnected(), DBus::ErrorFailed::ErrorFailed(), DBus::ErrorFileNotFound::ErrorFileNotFound(), DBus::ErrorInvalidArgs::ErrorInvalidArgs(), DBus::ErrorInvalidSignature::ErrorInvalidSignature(), DBus::ErrorIOError::ErrorIOError(), DBus::ErrorLimitsExceeded::ErrorLimitsExceeded(), DBus::ErrorMatchRuleInvalid::ErrorMatchRuleInvalid(), DBus::ErrorMatchRuleNotFound::ErrorMatchRuleNotFound(), DBus::ErrorNameHasNoOwner::ErrorNameHasNoOwner(), DBus::ErrorNoMemory::ErrorNoMemory(), DBus::ErrorNoNetwork::ErrorNoNetwork(), DBus::ErrorNoReply::ErrorNoReply(), DBus::ErrorNoServer::ErrorNoServer(), DBus::ErrorNotSupported::ErrorNotSupported(), DBus::ErrorSELinuxSecurityContextUnknown::ErrorSELinuxSecurityContextUnknown(), DBus::ErrorServiceUnknown::ErrorServiceUnknown(), DBus::ErrorSpawnChildExited::ErrorSpawnChildExited(), DBus::ErrorSpawnChildSignaled::ErrorSpawnChildSignaled(), DBus::ErrorSpawnExecFailed::ErrorSpawnExecFailed(), DBus::ErrorSpawnFailed::ErrorSpawnFailed(), DBus::ErrorSpawnForkFailed::ErrorSpawnForkFailed(), DBus::ErrorTimedOut::ErrorTimedOut(), DBus::ErrorTimeout::ErrorTimeout(), DBus::ErrorUnixProcessIdUnknown::ErrorUnixProcessIdUnknown(), and DBus::ErrorUnknownMethod::ErrorUnknownMethod().

## ◆ Error() [2/4]

Error::Error | ( | InternalError & | i | ) |

Definition at line 45 of file error.cpp.

References _int.

## ◆ Error() [3/4]

Error::Error | ( | const char * | name,
|  | const char * | message )

Definition at line 49 of file error.cpp.

References _int, message(), name(), and set().

## ◆ Error() [4/4]

Error::Error | ( | Message & | m | ) |

Definition at line 55 of file error.cpp.

References _int, and DBus::Message::_pvt.

## ◆ ~Error()

Error::~Error | ( |  | ) |
throw | ( | ) |  |  |

Definition at line 61 of file error.cpp.

## Member Function Documentation

## ◆ is_set()

bool Error::is_set | ( |  | ) | const

Definition at line 75 of file error.cpp.

References _int.

Referenced by operator bool().

## ◆ message()

const char * Error::message | ( |  | ) | const

Definition at line 70 of file error.cpp.

References _int.

Referenced by Error(), DBus::ErrorAccessDenied::ErrorAccessDenied(), DBus::ErrorAddressInUse::ErrorAddressInUse(), DBus::ErrorAuthFailed::ErrorAuthFailed(), DBus::ErrorBadAddress::ErrorBadAddress(), DBus::ErrorDisconnected::ErrorDisconnected(), DBus::ErrorFailed::ErrorFailed(), DBus::ErrorFileNotFound::ErrorFileNotFound(), DBus::ErrorInvalidArgs::ErrorInvalidArgs(), DBus::ErrorInvalidSignature::ErrorInvalidSignature(), DBus::ErrorIOError::ErrorIOError(), DBus::ErrorLimitsExceeded::ErrorLimitsExceeded(), DBus::ErrorMatchRuleInvalid::ErrorMatchRuleInvalid(), DBus::ErrorMatchRuleNotFound::ErrorMatchRuleNotFound(), DBus::ErrorNameHasNoOwner::ErrorNameHasNoOwner(), DBus::ErrorNoMemory::ErrorNoMemory(), DBus::ErrorNoNetwork::ErrorNoNetwork(), DBus::ErrorNoReply::ErrorNoReply(), DBus::ErrorNoServer::ErrorNoServer(), DBus::ErrorNotSupported::ErrorNotSupported(), DBus::ErrorSELinuxSecurityContextUnknown::ErrorSELinuxSecurityContextUnknown(), DBus::ErrorServiceUnknown::ErrorServiceUnknown(), DBus::ErrorSpawnChildExited::ErrorSpawnChildExited(), DBus::ErrorSpawnChildSignaled::ErrorSpawnChildSignaled(), DBus::ErrorSpawnExecFailed::ErrorSpawnExecFailed(), DBus::ErrorSpawnFailed::ErrorSpawnFailed(), DBus::ErrorSpawnForkFailed::ErrorSpawnForkFailed(), DBus::ErrorTimedOut::ErrorTimedOut(), DBus::ErrorTimeout::ErrorTimeout(), DBus::ErrorUnixProcessIdUnknown::ErrorUnixProcessIdUnknown(), DBus::ErrorUnknownMethod::ErrorUnknownMethod(), DBus::ObjectAdaptor::handle_message(), DBus::ObjectAdaptor::return_error(), and set().

## ◆ name()

const char * Error::name | ( |  | ) | const

Definition at line 65 of file error.cpp.

References _int.

Referenced by Error(), DBus::ObjectAdaptor::handle_message(), DBus::ObjectAdaptor::return_error(), and set().

## ◆ operator bool()

DBus::Error::operator bool | ( |  | ) | const

inline

Definition at line 64 of file error.h.

References is_set().

## ◆ set()

void Error::set | ( | const char * | name,
|  | const char * | message )

Definition at line 80 of file error.cpp.

References _int, message(), and name().

Referenced by Error().

## ◆ what()

const char * Error::what | ( |  | ) | const
throw | ( | ) |  |  |

Definition at line 85 of file error.cpp.

References _int.

## Member Data Documentation

## ◆ _int

RefPtrI<InternalError> DBus::Error::_int

private

Definition at line 71 of file error.h.

Referenced by Error(), Error(), Error(), Error(), is_set(), message(), name(), set(), and what().

The documentation for this class was generated from the following files:

- error.h
- error.cpp